﻿
@{
    ViewData["Title"] = "Index";
}

@using Microsoft.Extensions.Configuration
@inject IConfiguration Configuration
@model List<Package>

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Packages</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN EXAMPLE TABLE PORTLET-->
                <div class="portlet light bordered">
                    <div class="portlet-body">
                        <div class="table-toolbar">
                            <div class="row">

                                <div class="col-md-6">
                                    <div class="btn-group">
                                        <button id="sample_editable_1_2_new" data-toggle="modal"
                                                class="btn sbold green" href="#static">
                                            Add New Package
                                            <i class="fa fa-plus"></i>
                                        </button>
                                    </div>
                                </div>
                                <!-- BEGIN modal-->
                                <!-- /.modal -->
                                <div id="static" class="modal fade bs-modal-lg" tabindex="-1"
                                     data-backdrop="static" data-keyboard="false">
                                    <div class="modal-dialog modal-lg">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true"></button>
                                                <h4 class="modal-title">CREATE PACKAGE</h4>
                                            </div>
                                            <div class="modal-body">
                                                <div class="portlet-body">
                                                    <div id="bootstrap_alerts_demo"> </div>
                                                    <form class="form-horizontal" method="post" enctype="multipart/form-data" asp-controller="Package" asp-action="Index">
                                                        <div class="form-group">
                                                            <label class="col-md-3 control-label"
                                                                   for="title">Package Name:</label>
                                                            <div class="col-md-7">
                                                                <input id="alert_message" type="text" name="PackageName"
                                                                       class="form-control"
                                                                       value=""
                                                                       placeholder="enter a text ...">
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">Deadline :</label>
                                                            <div class="col-md-3">
                                                                <div id="datetimepicker1" class="input-group input-medium date date-picker" @*data-date-format="dd-mm-yyyy"*@ data-date-start-date="+0d">
                                                                    <input type="text" class="form-control" readonly name="DateDeadLine">

                                                                    <span class="input-group-btn">
                                                                        <button class="btn default" type="button">
                                                                            <i class="fa fa-calendar"></i>
                                                                        </button>
                                                                    </span>
                                                                </div>
                                                                <!-- /input-group -->
                                                                <span class="help-block"> Select date </span>
                                                            </div>
                                                            <script type="text/javascript">
                                                                $(function () {
                                                                    $('#datetimepicker1').datetimepicker();
                                                                });
                                                            </script>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class="control-label col-md-3">Pdf File :</label>
                                                            <div class="col-md-3">
                                                                <div class="fileinput fileinput-new" data-provides="fileinput">
                                                                    <div class="input-group input-large">
                                                                        <div class="form-control uneditable-input input-fixed input-medium" data-trigger="fileinput">
                                                                            <i class="fa fa-file fileinput-exists"></i>&nbsp;
                                                                            <span class="fileinput-filename"> </span>
                                                                        </div>
                                                                        <span class="input-group-addon btn default btn-file">
                                                                            <span class="fileinput-new"> Select file </span>
                                                                            <span class="fileinput-exists"> Change </span>
                                                                            <input type="file" name="file1">
                                                                        </span>
                                                                        <a href="javascript:;" class="input-group-addon btn red fileinput-exists" data-dismiss="fileinput"> Remove </a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class="col-md-3 control-label"
                                                                   for="title">Description:</label>
                                                            <div class="col-md-9">
                                                                <textarea id="code_editor_demo" name="Description"
                                                                          class="margin-top-20 margin-bottom-20" style="height:100px;width:500px;"> </textarea>
                                                            </div>
                                                        </div>

                                                        <div class="modal-footer">
                                                            <button type="button" data-dismiss="modal"
                                                                    class="btn dark btn-outline">
                                                                Cancel
                                                            </button>
                                                            <button type="submit"
                                                                    class="btn green">
                                                                Create
                                                            </button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- END modal-->
                            </div>
                        </div>
                        <table class="table table-striped table-bordered table-hover table-checkable order-column"
                               id="sample_1_2">
                            <thead>
                                <tr>
                                    <th>
                                        <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                            <input type="checkbox" class="group-checkable"
                                                   data-set="#sample_1_2 .checkboxes" />
                                            <span></span>
                                        </label>
                                    </th>
                                    <th hidden="hidden"> Project Id </th>
                                    <th> Name </th>
                                    <th> Status </th>
                                    <th> Link File </th>
                                    <th> Date Upload </th>
                                    <th> Deadline </th>
                                    <th> Actions </th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th> </th>
                                    <th hidden="hidden"> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                </tr>
                            </tfoot>
                            <tbody>
                                @if (Model != null)
                                {

                                    @foreach (var package in Model)
                                    {
                                        <tr class="odd gradeX">

                                            <td>
                                                <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                                    <input type="checkbox" class="checkboxes" value="@package.PackageId" name="PackageId" />
                                                    @Html.HiddenFor(x => @package.PackageId)
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td hidden="hidden">@Html.DisplayFor(x => package.ProjectId) </td>
                                            <td><a asp-controller="Task" asp-action="Index" asp-route-packageId="@package.PackageId">@package.PackageName</a>  </td>
                                            <td>
                                                <span class="label label-sm label-success"> @Html.DisplayFor(x => package.Status)</span>
                                            </td>
                                            <td> <a href="@Configuration["AppSettings:ServerData"]@package.FilePath" target="_blank">@package.FilePath</a>  </td>
                                            <td> @package.DateCreate </td>
                                            <td> @package.DateDeadLine </td>
                                            <td>
                                                <div class="btn-group">
                                                    @if (@package.Status == "Uploaded")
                                                    {
                                                        <form class="btn btn-xs" method="post" asp-controller="Package" asp-action="Export">
                                                            <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                    aria-expanded="false" name="PackageId" value="@package.PackageId">
                                                                Extract
                                                            </button>
                                                        </form>
                                                    }
                                                    else if (@package.Status == "Tasking")
                                                    {
                                                        <form class="btn btn-xs" method="get" asp-controller="ImageTask" asp-action="Index">
                                                            <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                    aria-expanded="false" name="PackageId" value="@package.PackageId">
                                                                ConfirmTask
                                                            </button>
                                                        </form>
                                                    }

                                                </div>
                                            </td>

                                        </tr>


                                    }

                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END EXAMPLE TABLE PORTLET-->
            </div>
        </div>
        <!-- END row 1-->
    </div>
    <!-- END CONTENT BODY -->
</div>

